SeExpr

Signals | Public Member Functions | List of all members
CurveGraphicsView Class Reference

`#include <ExprCurve.h>`

Inheritance diagram for CurveGraphicsView:

## Signals
void | resizeSignal (int width, int height)

## Public Member Functions
| CurveGraphicsView ()
| ~CurveGraphicsView ()
virtual void | resizeEvent (QResizeEvent *event)

## Detailed Description

Definition at line 38 of file ExprCurve.h.

## Constructor & Destructor Documentation

## ◆ CurveGraphicsView()

CurveGraphicsView::CurveGraphicsView | ( |  | ) |
| inline

Definition at line 41 of file ExprCurve.h.

## ◆ ~CurveGraphicsView()

CurveGraphicsView::~CurveGraphicsView | ( |  | ) |
| inline

Definition at line 45 of file ExprCurve.h.

## Member Function Documentation

## ◆ resizeEvent()

void CurveGraphicsView::resizeEvent | ( | QResizeEvent * | event | ) |
| virtual

Definition at line 43 of file ExprCurve.cpp.

References resizeSignal().

## ◆ resizeSignal

void CurveGraphicsView::resizeSignal | ( | int | width,
|  | int | height
| ) |  |
| signal

Referenced by resizeEvent().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprCurve.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprCurve.cpp